hpp-core: Roadmap

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Functions
Roadmap

## Classes
class | hpp::core::Edge
class | hpp::core::Node
class | hpp::core::Roadmap

## Functions
std::ostream & | hpp::core::operator<< (std::ostream &os, const Node &n)
template<class A >
std::pair< std::string, A * > | hpp::core::parser::make_nvp (const std::string &n, A *a)
template<class Parent , class Child >
internal::InsertChildClass< Parent, Child > | hpp::core::parser::make_nvp_with_parent (const std::string &n, Child *a)
template<class Archive , class... Args>
void | hpp::core::parser::serializeRoadmap (RoadmapPtr_t &roadmap, const std::string &filename, Args... args)
std::ostream & | hpp::core::operator<< (std::ostream &os, const Roadmap &r)

## Detailed Description

Random sampling algorithm build a representation of the free configuration space as a graph called a roadmap. Nodes are configurations (or states) and edges are collision-free admissible paths (or trajectories).

Template Parameters

  Archive | an archive from hpp::serialization::(xml|binary|text)_(i|o)archive. The only requirement is that it derives from hpp::serialization::archive_ptr_holder.
  Args | a list of std::pair<std::string, Object*> or InsertChildClass

Parameters

  roadmap | the roadmap to save or fill.
  filename | the file to read or write.
  args | indicate the name and object pointer to insert in the archive pointer holder.

## Function Documentation

## ◆ make_nvp()

template<class A >

std::pair< std::string, A * > hpp::core::parser::make_nvp | ( | const std::string & | n,
|  | A * | a
| ) |  |

## ◆ make_nvp_with_parent()

template<class Parent , class Child >

internal::InsertChildClass< Parent, Child > hpp::core::parser::make_nvp_with_parent | ( | const std::string & | n,
|  | Child * | a
| ) |  |

## ◆ operator<<() [1/2]

std::ostream & hpp::core::operator<< | ( | std::ostream & | os,
|  | const Node & | n
| ) |  |

## ◆ operator<<() [2/2]

std::ostream & hpp::core::operator<< | ( | std::ostream & | os,
|  | const Roadmap & | r
| ) |  |

## ◆ serializeRoadmap()

template<class Archive , class... Args>

void hpp::core::parser::serializeRoadmap | ( | RoadmapPtr_t & | roadmap,
|  | const std::string & | filename,
|  | Args... | args
| ) |  |